package com.jasamedika.medifirst2000.dao.test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.transaction.annotation.Transactional;

import com.jasamedika.medifirst2000.dao.PapMuskuloskeletalDao;
import com.jasamedika.medifirst2000.entities.PapMuskuloskeletal;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration("classpath*:com/jasamedika/**/applicationContext.xml")
public class PapMuskuloskeletalDaoTest {

	@Autowired
	private PapMuskuloskeletalDao papMuskuloskeletalDao;
	
	@Test
	@Transactional
	public void testPAPMuskuloskeletalDaoSave() {
		PapMuskuloskeletal model = populateModel();
		PapMuskuloskeletal resultModel=papMuskuloskeletalDao.save(model);
		assertNotNull(resultModel);
//    	assertEquals(false, resultModel.getIsKelainanTulangAda());
 //   	assertEquals(true, resultModel.getIsGerakanAnakBebas());
		PapMuskuloskeletal resultModel2=papMuskuloskeletalDao.findOne(resultModel.getNoRec());
		assertNotNull(resultModel2);
//		assertEquals(false, resultModel2.getIsKelainanTulangAda());
 //   	assertEquals(true, resultModel2.getIsGerakanAnakBebas());
    	resultModel2=populateModelUpdate();
		PapMuskuloskeletal resultModelUpdate=papMuskuloskeletalDao.save(resultModel2);
		assertNotNull(resultModelUpdate);
	//	assertEquals(true, resultModelUpdate.getIsKelainanTulangAda());
    //	assertEquals(false, resultModelUpdate.getIsGerakanAnakBebas());		
    	
	}

	private PapMuskuloskeletal populateModel() {
		PapMuskuloskeletal model=new PapMuskuloskeletal();
	//	model.setIsKelainanTulangAda(false);
	//	model.setIsGerakanAnakBebas(true);
		return model;
	}
	
	private PapMuskuloskeletal populateModelUpdate() {
		PapMuskuloskeletal model=new PapMuskuloskeletal();
	//	model.setIsKelainanTulangAda(true);
	//	model.setIsGerakanAnakBebas(false);
		return model;
	}

	@Test
	@Transactional
	public void testPAPMuskuloskeletalDaoFindAll() {
		PapMuskuloskeletal model = populateModel();
		PapMuskuloskeletal resultModel1=papMuskuloskeletalDao.save(model);
		PapMuskuloskeletal model2 = populateModel();
		PapMuskuloskeletal resultModel2=papMuskuloskeletalDao.save(model2);
		assertNotNull(resultModel1);
		assertNotNull(resultModel2);
		List<PapMuskuloskeletal> results = (List<PapMuskuloskeletal>) papMuskuloskeletalDao.findAll();
		assertTrue(results.size() > 0);
		assertNotNull(results);
		assertTrue(results.size() == 2);
	}
}
